Create event

POST /events

Creates a new event

Request body

eventobjectrequired
event object
timestampdate-time | null

Date and time when the event was generated in ISO 8601 format. If not sent, the current time will be used. The maximum period for retroactive submission (backfill) is 24 hours. Future timestamps are not allowed.

idstringrequired

Unique identifier code for the entity. Reuse the same code to send different events for the same entity.

typestringrequired

Event type ID

attributesobjectrequired

Event data according to the configured fields.

ruleobject | null

Optionally specify the rule to be applied.

rule object
namestring | null

Name of the rule, as previously registered. If the specified rule does not exist, has no published active version, or does not belong to this event type, the request will not fail and no rule will be executed.

Responses

201Event created successfully
401Invalid access credentials
Response body
errorsarray
errors[] item
fieldstring

Request field where the error occurred

typestring

Error type code

messagestring

Error message

422Invalid parameters
Response body
errorsarray
errors[] item
fieldstring

Request field where the error occurred

typestring

Error type code

messagestring

Error message

{
  "event": {
    "timestamp": "2024-01-01T00:00:00Z",
    "id": "string",
    "type": "transaction",
    "attributes": {
      "amount": "120.50",
      "status": "paid"
    },
    "rule": {
      "name": "minha_regra"
    }
  }
}